- [HTTP request](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.request_body)
- [Response body](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/organizations.locations.auditReports/list#body.aspect_1)

Lists the audit reports for the organization, folder, or project that you specify as the parent scope.

### HTTP request

`GET https://auditmanager.googleapis.com/v1/{parent=organizations/*/locations/*}/auditReports`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. Parent organization, folder, or project to list reports for, in one of the following formats: - `projects/{project}/locations/{location}` - `folders/{folder}/locations/{location}` - `organizations/{organization}/locations/{location}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. Maximum number of items to return in a single page. The service might return fewer items than this value. If unspecified, the service picks an appropriate default. The maximum value is 100; values above 100 are reduced to 100. |
| `pageToken` | `string` Optional. A page token, received from a previous call, to retrieve the next page of results. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/audit-manager/docs/reference/auditmanager/rest/v1/ListAuditReportsResponse`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `auditmanager.auditReports.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).